Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82075 - exception when running rhn-applet
Summary: exception when running rhn-applet
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rhn-applet
Version: 8.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Daniel Veillard
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-17 05:20 UTC by Chris Ricker
Modified: 2007-04-18 16:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-09-28 20:50:14 UTC


Attachments (Terms of Use)

Description Chris Ricker 2003-01-17 05:20:58 UTC
My rhn-applet is a grey question mark. When I click on it, I get:

Exception type SSL.SysCallError

Exception Handler Information
Traceback (most recent call last):
  File "/usr/bin/../share/rhn/rhn_applet/rhn_applet.py", line 424, in refresh
    self.model.refresh(force)
  File "/usr/bin/../share/rhn/rhn_applet/rhn_applet_model.py", line 264, in refresh
    self.__rpc_server__.refresh(force)
  File "/usr/bin/../share/rhn/rhn_applet/rhn_applet_rpc.py", line 84, in refresh
    status = server.applet.poll_status()
  File "/usr/src/build/143041-i386/install/usr/lib/python2.2/xmlrpclib.py", line
821, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib/python2.2/site-packages/rhn/rpclib.py", line 126, in _request
    verbose=self._verbose
  File "/usr/lib/python2.2/site-packages/rhn/transports.py", line 118, in request
    headers, fd = req.send_http(host, handler)
  File "/usr/lib/python2.2/site-packages/rhn/transports.py", line 602, in send_http
    headers=self.headers)
  File "/usr/src/build/143041-i386/install/usr/lib/python2.2/httplib.py", line
537, in request
    self._send_request(method, url, body, headers)
  File "/usr/src/build/143041-i386/install/usr/lib/python2.2/httplib.py", line
553, in _send_request
    self.putrequest(method, url)
  File "/usr/src/build/143041-i386/install/usr/lib/python2.2/httplib.py", line
453, in putrequest
    self.send(str)
  File "/usr/src/build/143041-i386/install/usr/lib/python2.2/httplib.py", line
407, in send
    self.sock.sendall(str)
  File "/usr/lib/python2.2/site-packages/rhn/SSL.py", line 185, in write
    sent = self._connection.send(data)
SysCallError: (104, 'Connection reset by peer')

this is
[kaboom@verdande kaboom]$ rpm -q rhn-applet
rhn-applet-2.0.0-28
[kaboom@verdande kaboom]$

Comment 1 Daniel Veillard 2003-01-17 09:56:24 UTC
How reproductible is this ? I.e. is that a temporary failure ? Did that
used to work ? When exactly did this fail ?
What is the value of server_url in /etc/sysconfig/rhn/rhn-applet ?
What is happening when doing the following command on that box:

telnet www.rhns.redhat.com 443

and typing

hello

and <enter> a couple of time ?

Daniel

Comment 2 Chris Ricker 2003-01-17 14:16:54 UTC
This used to work. I noticed the grey around 10:30 PM MST last night (though it
might have greyed out earlier; that was the first I was using the computer),
clicked on it, and got the error. After a couple more tries, it started working
again.

server_url=https://www.rhns.redhat.com/APPLET

[kaboom@verdande kaboom]$ telnet www.rhns.redhat.com 443
Trying 66.187.232.100...
Connected to xmlrpc.rhn.redhat.com (66.187.232.100).
Escape character is '^]'.
hello


Connection closed by foreign host.
[kaboom@verdande kaboom]$ 


Comment 3 Michael Lee Yohe 2003-01-21 14:01:10 UTC
I also received this error this past weekend, and sent an email message to
applet@rhn.redhat.com like the applet suggested.

Comment 4 Daniel Veillard 2003-01-21 14:46:07 UTC
I managed to get one applet in that state, but it's relatively hard to
reproduce/debug , I will try to fix it before the next release though,

Daniel

Comment 5 Daniel Veillard 2003-09-28 20:50:14 UTC
This should be fixed now, the applet tries to reconnect even when it enters
a connection error state. I.e. when the connection comes back it should
reconnect automatically (unless there is a DNS change in the mean time
which is a separate open problem #73480),

Daniel


Note You need to log in before you can comment on or make changes to this bug.